classification
Title: No SSL match_hostname() in smtplib
Type: security Stage: resolved
Components: email, Library (Lib) Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, barry, christian.heimes, python-dev, r.david.murray
Priority: normal Keywords:

Created on 2013-11-25 23:47 by christian.heimes, last changed 2013-12-02 19:45 by christian.heimes. This issue is now closed.

Messages (2)
msg204438 - (view) Author: Christian Heimes (christian.heimes) * (Python committer) Date: 2013-11-25 23:47
match_hostname patch for smtplib (see #19509). The patch doesn't have tests yet.
msg205047 - (view) Author: Roundup Robot (python-dev) Date: 2013-12-02 19:44
New changeset c0079358e791 by Christian Heimes in branch 'default':
Issue #19785: smtplib now supports SSLContext.check_hostname and server name
http://hg.python.org/cpython/rev/c0079358e791
History
Date User Action Args
2013-12-02 19:45:11christian.heimessetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2013-12-02 19:44:26python-devsetnosy: + python-dev
messages: + msg205047
2013-11-26 15:29:56r.david.murraysetnosy: + barry, r.david.murray
components: + email
2013-11-26 02:25:23Arfreversetnosy: + Arfrever
2013-11-25 23:48:56christian.heimeslinkissue19509 dependencies
2013-11-25 23:47:59christian.heimescreate